com.smartgwt.client.widgets.calendar

## Class MonthViewHoverHTMLCustomizer

- java.lang.Object
- - com.smartgwt.client.widgets.calendar.MonthViewHoverHTMLCustomizer

-     public abstract class MonthViewHoverHTMLCustomizer
      extends java.lang.Object

  Called to determine the hover HTML to be displayed when the user hovers over a cell displayed in the calendar month view tab.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonthViewHoverHTMLCustomizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Calendar` | `getCalendar()` Returns the Calendar over which the hover occurred
    `abstract java.lang.String` | `getMonthViewHoverHTML(java.util.Date currentDate, CalendarEvent[] events)` hoverHTML() should be implemented and return the string of HTML to display when the user hovers over ListGrid cells
    `void` | `setCalendar(Calendar calendar)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MonthViewHoverHTMLCustomizer

          public MonthViewHoverHTMLCustomizer()

  - ### Method Detail

    - #### setCalendar

          public void setCalendar(Calendar calendar)

    - #### getCalendar

          public Calendar getCalendar()

      Returns the Calendar over which the hover occurred
      Returns:
        Calendar over which the hover occurred

    - #### getMonthViewHoverHTML

          public abstract java.lang.String getMonthViewHoverHTML(java.util.Date currentDate,
                                               CalendarEvent[] events)

      hoverHTML() should be implemented and return the string of HTML to display when the user hovers over ListGrid cells
      Parameters:
        `currentDate` - date the hover has been triggered on.
        `events` - the events that occur on that date.
      Returns:
        HTML to display